:root {
    --font-family: "Times New Roman", sans-serif;
    --second-family: "Suisse Intl", sans-serif;
    --white-background-color: #eaebe6;

    /* Font weights */
    --fw-regular: 400;
    --fw-medium: 500;

    /* Font sizes */
    --fs-heading-xl: 80px;
    --fs-heading-lg: 60px;
    --fs-heading-md: 52px;
    --fs-heading-sm: 40px;
    --fs-button: 31px;
    --fs-lead: 27px;
    --fs-italic: 26px;
    --fs-base: 22px;
    --fs-nav: 18px;
    --fs-small: 14px;

    /* Line heights */
    --lh-heading: 140%;
    --lh-heading-tight: 72%;
    --lh-base: 100%;
    --lh-lead: 87%;
    --lh-quote: 74%;
    --lh-tight: 99%;

    /* Letter spacing */
    --ls-heading-xl: -0.07em;
    --ls-heading-lg: -0.06em;
    --ls-heading-md: -0.04em;
    --ls-italic: -0.05em;
}

/* Media queries for responsive typography */
@media (max-width: 1350px) {
    :root {
        --fw-regular: 400;
        /* Adjust font sizes for mobile */
        --fs-heading-xl: 32px;
        --fs-heading-lg: 23px;
        --fs-heading-md: 23px;
        --fs-heading-sm: 20px;
        --fs-button: 14px;
        --fs-lead: 12px;
        --fs-italic: 14px;
        --fs-base: 12px;
        --fs-nav: 8px;
        --fs-small: 12px;

        /* Adjust line heights for mobile */
        --lh-heading: 140%;
        --lh-heading-tight: 90%;
        --lh-base: 100%;
        --lh-lead: 100%;
        --lh-quote: 110%;
        --lh-tight: 100%;
    }
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html {
    scroll-behavior: smooth;
}

body {
    margin: 0;
    background-color: var(--white-background-color);
}

.content-container {
    max-width: 1440px;
    margin: 0 auto;
}

@media (max-width: 1350px) {
    .content-container {
        max-width: 414px;
    }
}

.section-header {
    font-family: var(--font-family);
    font-weight: var(--fw-regular);
    font-size: var(--fs-heading-xl);
    line-height: var(--lh-heading);
    letter-spacing: var(--ls-heading-xl);
    text-align: center;
    color: #526041;
}



.signup-button {
    border-radius: 39px;
    border: none;
    padding: 10px;
    width: 225px;
    height: 66px;
    background: #526041;
    box-shadow: 0 1px 34px 0 rgba(235, 235, 230, 0.23);
    background: #526041;
    font-family: var(--font-family);
    font-style: italic;
    font-weight: 400;
    font-size: var(--fs-button);
    line-height: 100%;
    text-align: center;
    color: #eaebe6;
}

.signup-button:hover {
    opacity: 0.5;
}

@media (max-width: 1350px) {
    .signup-button {
        width: 130px;
        height: 26px;
        padding: 0px;
    }
}


.header {
    background-color: #6C6D67;
}



.content-container_header {
    height: 794px;
    background-image: url('./images/header_background.png');
    background-image: image-set(url('./images/header_background.webp') type('image/webp'));
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: center;
    position: relative;
}


.header-navigation {
    /* max-width: 856px; */
    margin: 0 auto;

    padding: 41px 0;
}


.header-navigation__list {
    display: flex;
    list-style-type: none;
    flex-direction: row;
    gap: 48px;
}



.header-navigation__item {
    font-family: var(--second-family);
    font-weight: var(--fw-medium);
    font-size: var(--fs-nav);
    line-height: var(--lh-heading);
    text-align: center;
}

.header-navigation__item:hover {
    opacity: 0.5;
}




.header-navigation__item a {
    text-decoration: none;
    color: #eaebe6;
}

.header-main-text {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 0px;
}

.header-main-text__h1 {
    font-family: var(--font-family);
    font-weight: var(--fw-regular);
    font-size: var(--fs-heading-xl);
    line-height: var(--lh-heading);
    text-align: center;
    color: #eaebe6;
    text-shadow:
        -1px -1px 0 black,
        /* Top-left shadow */
        1px -1px 0 black,
        /* Top-right shadow */
        -1px 1px 0 black,
        /* Bottom-left shadow */
        1px 1px 0 black;
    /* Bottom-right shadow */
    ;
}


.header-main-text__p {
    font-family: var(--font-family);
    font-style: italic;
    font-weight: var(--fw-regular);
    font-size: var(--fs-heading-lg);
    line-height: var(--lh-heading);
    text-align: center;
    color: #eaebe6;
}

.header-image_mobile {
    display: none;
}

.header-image_desktop {
    position: absolute;
    bottom: 96px;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column-reverse;
}

.header-image_desktop img {
    max-width: 100%;
    max-height: 100%;
}


.signup-button-header-link {
    margin-top: auto;
    margin-bottom: 48px;
}


/* Адаптив заголовка */
@media (max-width: 1350px) {
    .content-container_header {
        background-image: url('./images/header_background_mobile_height.png');
        background-image: image-set(url('./images/header_background_mobile_height.webp') type('image/webp'));
        height: 523px;
    }

    .header-navigation {
        max-width: 374px;
        padding: 19px 0;

    }


    .header-navigation__list {
        gap: 20px;
    }

    .header-navigation__item {
        font-size: 8px;
    }

    .header-main-text__h1 {
        font-size: 32px;
        text-shadow: none;
    }

    .header-main-text__p {
        font-size: 23px;
        margin-bottom: 258px;
    }

    .header-image_desktop {
        display: none;
    }

    .header-image_mobile {
        display: block;
    }

    .header-image_mobile img {
        width: 100%;
        height: auto;
    }

    .signup-button-header-link {
        margin-top: auto;
        margin-bottom: 35px;
    }
}

.section-about-main-text {
    display: flex;
    flex-direction: column;
    gap: 20px;
    margin-bottom: 59px;
}


.section-about-main-text__h2 {
    font-family: var(--font-family);
    font-weight: var(--fw-regular);
    font-size: var(--fs-heading-xl);
    line-height: var(--lh-heading);
    letter-spacing: var(--ls-heading-xl);
    text-align: center;
    color: #526041;
}

.section-about-main-text__presentation-text {
    font-family: var(--font-family);
    font-weight: var(--fw-regular);
    font-size: var(--fs-heading-md);
    line-height: var(--lh-heading-tight);
    letter-spacing: var(--ls-heading-md);
    text-align: center;
    color: #404040;
}


.section-about_underly-text {
    text-decoration: underline;
}

.section-about_italic-text {
    font-style: italic;
    font-size: var(--fs-italic);
    font-weight: 400;
    color: #526041;
    letter-spacing: var(--ls-italic);
    line-height: 100%;
}

.section-about__p {
    text-align: justify;
    font-family: var(--second-family);
    font-weight: 500;
    font-size: var(--fs-base);
    line-height: 100%;
    color: #404040;
    max-width: 975px;
    margin: 0 auto 59px;
}

.section-about-images {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    margin-bottom: 59px;
}

.section-about-images__item {
    width: 412px;
    height: 367px;
}

.section-about-images_mobile {
    display: none;
}

.section-about-schema {
    position: relative;
    font-family: var(--font-family);
    font-weight: var(--fw-regular);
    font-size: var(--fs-heading-md);
    line-height: var(--lh-heading-tight);
    letter-spacing: var(--ls-heading-md);
    text-align: center;
    color: #404040;
    justify-items: center;
    justify-content: center;
    max-width: 983px;
    height: 277px;
    margin: 0 auto 39px;
}

.section-about-schema__header {
    grid-area: header;
    margin-bottom: 50px;
}

.section-about-schema__header_green {
    color: #526041;
}

.section-about-schema__icon {
    position: absolute;
    left: 100px;
    bottom: 90px;
}

.section-about-schema__left-text {
    position: absolute;
    left: 0px;
    bottom: 0px;
}

.section-about-schema__right-text {
    position: absolute;
    right: 0px;
    bottom: 0px;
}

.section-about-schema_mobile {
    display: none;
}

/* Адаптив под блок "Обо мне" */
@media (max-width: 1350px) {
    .section-about__p {
        max-width: 332px;
        margin: 0 auto 19px;
    }

    .section-about-main-text {
        gap: 6px;
        margin-bottom: 17px;
    }

    .section-about-images_desktop {
        display: none;
    }

    .section-about-images_mobile {
        display: flex;
    }

    .section-about-images {
        margin-bottom: 15px;
        gap: 30px;
        max-width: 374px;
        margin: 0 auto 15px;
    }

    .section-about-images__item {
        width: 142px;
        height: 127px;
    }

    .section-about-schema_desktop {
        display: none;
    }

    .section-about-schema_mobile {
        display: block;
    }

    .section-about-schema {
        max-width: 345px;
        height: 114px;
        margin: 0 auto 39px;
    }

    .section-about-schema__icon {
        left: 45px;
        bottom: 40px;
    }

    .section-about-schema__line {
        position: absolute;
        bottom: 40px;
        left: 65px;
    }

}

.content-container_approaches {
    background-image: url('./images/approaches_background.png');
    background-image: image-set(url('./images/approaches_background.webp') type('image/webp'));
    padding-top: 59px;
    padding-bottom: 59px;
}



.section-approaches__header {
    font-family: var(--font-family);
    font-weight: var(--fw-regular);
    font-size: var(--fs-heading-xl);
    line-height: var(--lh-heading);
    letter-spacing: var(--ls-heading-xl);
    text-align: center;
    color: #eaebe6;
    margin-bottom: 30px;
}


.section-approaches-main-text {
    margin-bottom: 59px;
}

.section-approaches-main-text__p {
    font-family: var(--second-family);
    font-weight: var(--fw-medium);
    font-size: var(--fs-lead);
    line-height: var(--lh-base);
    text-align: center;
    color: #e3ecd4;
}

.section-approaches-main-text_upper {
    font-family: var(--font-family);
    font-weight: var(--fw-regular);
    font-size: var(--fs-heading-md);
    line-height: var(--lh-heading-tight);
    letter-spacing: var(--ls-heading-md);
    text-align: center;
    color: #eaebe6;
}

.sectio-approaches__p {
    font-family: var(--second-family);
    font-weight: var(--fw-medium);
    font-size: var(--fs-base);
    line-height: var(--lh-base);
    color: #e3ecd4;
    max-width: 1025px;
    margin: 0 auto 13px;
}

.section_approaches_italic-text {
    font-family: var(--font-family);
    font-style: italic;
    font-weight: 400;
    font-size: var(--fs-italic);
    line-height: var(--lh-base);
    letter-spacing: var(--ls-italic);
    color: #eaebe6;
}

.section-approaches-blocks {
    display: grid;
    grid-template-areas:
        "psychosynthesis-text psychosynthesis-text psychosynthesis-image"
        "psychodrama-image psychodrama-text psychodrama-text"
    ;
    grid-template-rows: repeat(2, 1fr);
    grid-template-columns: repeat(3, 1fr);
    max-width: 1066px;
    margin: 25px auto 45px;
    gap: 0px;
    row-gap: 0px;
}

.section-approaches-blocks_mobile {
    display: none;
}

.section-approaches-block-description {
    background: #eaebe6;
    border-radius: 10px;
    padding-left: 36px;
    padding-top: 21px;
    padding-right: 2px;
}

.section-approaches-block-description__header {
    font-family: var(--font-family);
    font-weight: var(--fw-regular);
    font-size: var(--fs-heading-md);
    line-height: var(--lh-heading-tight);
    letter-spacing: var(--ls-heading-md);
    color: #526041;
    margin-bottom: 13px;
}

.section-approaches-block-description__subtitle {
    font-family: var(--font-family);
    font-style: italic;
    font-weight: var(--fw-regular);
    font-size: var(--fs-italic);
    line-height: var(--lh-lead);
    letter-spacing: var(--ls-italic);
    color: #404040;
    margin-bottom: 58px;
}

.section-approaches-block-description__text {
    font-family: var(--second-family);
    font-weight: var(--fw-medium);
    font-size: var(--fs-base);
    line-height: var(--lh-base);
    color: #404040;
}

.section-approaches-block-description_italic {
    font-family: var(--font-family);
    font-style: italic;
    font-weight: var(--fw-regular);
    font-size: var(--fs-italic);
    line-height: var(--lh-lead);
    letter-spacing: var(--ls-italic);
    color: #526041;
}

.section-approaches-block-description_psychosynthesis {
    grid-area: psychosynthesis-text;
    max-height: 322px;
}

.section-approaches-block-description_psychodrama {
    grid-area: psychodrama-text;
}

.section-approaches-block-image_psychodrama {
    grid-area: psychodrama-image;
}

.section-approaches-block-image_psychosynthesis {
    grid-area: psychosynthesis-image;
    justify-self: right;
}

/* Адаптив секции "Мои подходы" */
@media (max-width: 1350px) {
    .content-container_approaches {
        background: url('images/approaches_background_mobile.svg');
        padding-top: 18px;
        padding-bottom: 5px;
    }

    .section-approaches-main-text {
        margin-bottom: 21px;
    }

    .section-approaches__header {
        margin-bottom: 10px;
    }

    .section-approaches-main-text_upper {
        line-height: 72%;
    }

    .sectio-approaches__p {
        max-width: 337px;
        margin: 0 auto 10px;
    }

    .section-approaches-blocks_desktop {
        display: none;
    }

    .section-approaches-blocks_mobile {
        display: grid;
    }

    .section-approaches-blocks {
        max-width: 332px;
        margin: 25px auto 13px;
    }

    .section-approaches-block-description {
        padding-left: 9px;
        padding-top: 9px;
        border-radius: 3px;
        max-height: 207px;
    }

    .section-approaches-block-description__header {
        margin-bottom: 3px;
    }

    .section-approaches-block-description__subtitle {
        margin-bottom: 18px;
    }

    .section-approaches-block-description_psychosynthesis {
        max-height: 207px;
    }

    .section-approaches-block-description_psychodrama {
        max-height: 214px;
    }


}